
/*---------------Page Loder ----------------*/

setTimeout(function () {
  var loder = document.querySelector('.loader-bg');
  document.body.removeChild(loder);
}, 1500);

/*----X-------------Page Loder --------X------*/


$(document).ready(function(){
  
  /*-------owl carousel----------*/
//   $('.owl-carousel').owlCarousel({
   
    
// });
$('.owl-carousel').owlCarousel({
  loop:true,
  margin:10,
  nav:true,
  autoplay:true,
 dots:false,
  responsive:{
      0:{
          items:1
      },
      600:{
          items:2
      },
      1000:{
          items:3
      }
  }
})
});

/*---------------Navigation section-----------------*/
 let nav = document.getElementById('nav');
 let siteNav = document.querySelector('.site-nav');
$('.menu-toggle').click(function() {
   
  $('.site-nav').toggleClass('site-nav--open', 500);
  
  $(this).toggleClass('open');
  
  
  
})



/*--------X-------Navigation section-----------X------*/

/*-------- nav hamburger -------------*/
function onClickMenu(){
	document.getElementById("menu").classList.toggle("change");
	document.getElementById("nav").classList.toggle("change");
	
	document.getElementById("menu-bg").classList.toggle("change-bg");
}


/*----X--- nav hamburger -------X-----*/


/*----------------Full page Scrolling Animation---------*/

        window.sr = ScrollReveal();
       
        sr.reveal('#home-content', {
          duration: 2000,
          origin:'bottom',
          distance:'50px'
        });
        sr.reveal('#diamond-grid-album', {
          duration: 2000,
          origin:'left',
          // distance:'300px'
        });
        sr.reveal('.portion-header', {
          duration: 2000,
          origin:'left',
          viewFactor: 0.2,
          // distance:'300px'
        });
        sr.reveal('.content', {
          duration: 2000,
          origin:'bottom',
          viewFactor: 0.2,
           distance:'50px'
        });
       
        // sr.reveal('.tour-img1', {
        //   duration: 2000,
        //   origin:'bottom',
        //   viewFactor: 0.2,
        //    distance:'50px'
        // });
        // sr.reveal('.tour-img2', {
        //   duration: 2000,
        //   origin:'bottom',
        //   viewFactor: 0.2,
        //    distance:'50px'
        // });
        // sr.reveal('.tour-img3', {
        //   duration: 2000,
        //   origin:'bottom',
        //   viewFactor: 0.2,
        //    distance:'50px'
        // });
        // sr.reveal('.tour-img4', {
        //   duration: 2000,
        //   origin:'bottom',
        //   viewFactor: 0.2,
        //    distance:'50px'
        // });
        // sr.reveal('.tour-img5', {
        //   duration: 2000,
        //   origin:'bottom',
        //   viewFactor: 0.2,
        //    distance:'50px'
        // });
        sr.reveal('#feature-tour .container', {
          duration: 2000,
          origin:'right',
          viewFactor: 0.2,
           distance:'50px'
        });
        sr.reveal('.contact-card', {
          duration: 2000,
          origin:'left',
          viewFactor: 0.2,
           distance:'300px'
        });
        sr.reveal('.contact-form', {
          duration: 2000,
          origin:'right',
          viewFactor: 0.2,
           distance:'300px'
        });
        
      
        // sr.reveal('.showcase-right', {
        //   duration: 2000,
        //   origin:'right',
        //   distance:'300px'
        // });
        // sr.reveal('.showcase-btn', {
        //   duration: 2000,
        //   delay: 2000,
        //   origin:'bottom'
        // });
        // sr.reveal('#testimonial div', {
        //   duration: 2000,
        //   origin:'bottom'
        // });
        // sr.reveal('.info-left', {
        //   duration: 2000,
        //   origin:'left',
        //   distance:'300px',
        //   viewFactor: 0.2
        // });
        // sr.reveal('.info-right', {
        //   duration: 2000,
        //   origin:'right',
        //   distance:'300px',
        //   viewFactor: 0.2
        // });
   


/*----X-----------Full page Scrolling Animation----X--*/


    
    